げんばからおおくりしました

300問題をとるまでのログ

Kali Linux に VirtualBox を入れる

難産だった。。。

 

・公式よりパッケージDL

http://www.oracle.com/technetwork/server-storage/virtualbox/downloads/index.html?ssSourceSiteId=otnjp

 

・インストール

$ dpkg -i *virtualbox*.deb

->ここで問題なくインストールできた方はそのまま起動

->インストール失敗

$ apt-get install -f

あとこちら確認

Linux_Downloads – Oracle VM VirtualBox

 

$ vi /etc/apt/sources.list

deb http://download.virtualbox.org/virtualbox/debian jessie contrib
# https://www.virtualbox.org/wiki/Linux_Downloads

$ wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- | apt-key add

$ wget -q https://www.virtualbox.org/download/oracle_vbox_2016.asc -O- |  apt-key add

$ apt-key fingerprint

$ apt-get update

$ apt-get -y install virtualbox-5.1

->ダメ

 

・私の環境の場合以下のエラー

依存: libpng12-0 (>= 1.2.13-4) しかし、インストールすることができません

依存: libssl1.0.0 (>= 1.0.0) しかし、インストールすることができません
依存: libvpx1 (>= 1.0.0) しかし、インストールすることができません

依存: libvpx3 (>= 1.5.0) しかし、インストールすることができません
推奨: libsdl-ttf2.0-0 しかし、インストールされようとしていません
推奨: dkms しかし、インストールされようとしていません
推奨: linux-headers しかし、インストールすることができません

 

$ uname -a
Linux kali 4.9.0-kali4-amd64 #1 SMP Debian 4.9.30-2kali1 (2017-06-22) x86_64 GNU/Linux
の環境です

 

・以下のURLより各PKGDL

libvpx3をdebianでみつけられませんでした。

https://packages.debian.org/jessie/amd64/libpng12-0/download

https://packages.debian.org/jessie/amd64/libvpx1/download

https://packages.debian.org/jessie/amd64/libssl1.0.0/download

https://packages.ubuntu.com/ja/xenial/amd64/libvpx3/download

 

$ md5sum lib*

$ apt-get install dkms

$ dpkg -i libpng12-0_1.2.50-2+deb8u2_amd64.deb libssl1.0.0_1.0.1e-2+deb7u21_amd64.deb libvpx1_1.3.0-3_amd64.deb libvpx3_1.5.0-2ubuntu1_amd64.deb

 

$ apt-get -y install virtualbox-5.1

$ apt-get update

$ VirtualBox

 

起動しますたん!(ぜえぜえ)

 

 

以上、現場からお送りしましたん!

・すぽんさー